unit uPluginPresupuestosCliente;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCPresupuestosCliente = interface(IInterface)
  ['{4C4C1C6A-3CA8-4D81-B420-40F068BFF833}']
  end;

  TPluginPresupuestosCliente = class(TModuleController, IMCPresupuestosCliente)
    actPresupuestosCliente: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    PresupuestosdeCliente1: TMenuItem;
    actInfPresupuestos: TAction;
    procedure actPresupuestosClienteExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uPresupuestosClienteController, uBizPresupuestosCliente, uPresupuestosClienteViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginPresupuestosCliente.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginPresupuestosCliente.actPresupuestosClienteExecute(Sender: TObject);
var
  APresupuestosClienteController : IPresupuestosClienteController;
  APresupuestosCliente : IBizPresupuestoCliente;

begin
  APresupuestosClienteController := TPresupuestosClienteController.Create;
  APresupuestosCliente := (APresupuestosClienteController.BuscarTodos as IBizPresupuestoCliente);
  APresupuestosClienteController.VerTodos(APresupuestosCliente);
end;

constructor TPluginPresupuestosCliente.Create(AOwner: TComponent);
begin
  inherited;
  uPresupuestosClienteViewRegister.RegisterViews;
end;

destructor TPluginPresupuestosCliente.Destroy;
begin
  uPresupuestosClienteViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginPresupuestosCliente);

finalization
  UnRegisterModuleClass(TPluginPresupuestosCliente);

end.
